Search for assets, tokens, and pairs
curl --request GET \
--url https://demo-api.mobula.io/api/1/searchimport requests
url = "https://demo-api.mobula.io/api/1/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://demo-api.mobula.io/api/1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"logo": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": [
123
],
"blockchains": [
"<string>"
],
"contracts": [
"<string>"
],
"price": 123,
"total_supply": 123,
"market_cap": 123,
"pairs": [
{
"token0": {
"address": "<string>",
"price": 123,
"priceToken": 123,
"priceTokenString": "<string>",
"approximateReserveUSD": 123,
"approximateReserveTokenRaw": "<string>",
"approximateReserveToken": 123,
"symbol": "<string>",
"name": "<string>",
"decimals": 123,
"totalSupply": 123,
"circulatingSupply": 123,
"chainId": "<string>",
"logo": "<string>",
"id": 123
},
"token1": {
"address": "<string>",
"price": 123,
"priceToken": 123,
"priceTokenString": "<string>",
"approximateReserveUSD": 123,
"approximateReserveTokenRaw": "<string>",
"approximateReserveToken": 123,
"symbol": "<string>",
"name": "<string>",
"decimals": 123,
"totalSupply": 123,
"circulatingSupply": 123,
"chainId": "<string>",
"logo": "<string>",
"id": 123
},
"volume24h": 123,
"liquidity": 123,
"blockchain": "<string>",
"address": "<string>",
"createdAt": "<string>",
"type": "<string>",
"baseToken": "<string>",
"exchange": {
"name": "<string>",
"logo": "<string>"
},
"factory": "<string>",
"quoteToken": "<string>",
"price": 123,
"priceToken": 123,
"priceTokenString": "<string>",
"extraData": {}
}
],
"type": "token",
"volume_24h": 123,
"price_change_24h": 123,
"price_change_1h": 123
}
]
}Search by name
Search for assets, pairs, or tokens by name with optional filtering by blockchain, factory, or pool type.
GET
/
1
/
search
Search for assets, tokens, and pairs
Deprecated EndpointThis endpoint is deprecated. Please use the new v2 endpoint instead:
- /api/2/fast-search — Universal Search with prefix and exact match modes, multi-chain filtering, and flexible sorting options
Query Details
| Parameter | Required | Description |
|---|---|---|
input | Yes | Search query input. |
type | Cond. | Type of search: "assets", "pairs", "tokens". |
filters | Cond. | JSON-encoded filters such as blockchains, factory,poolTypes and types- (“assets”, “pairs”, “tokens”) |
mode | Cond. | Search mode (implementation-specific). |
sortBy | Cond. | Field to sort results by. See table below for available values. |
excludeBonded | Cond. | If true, excludes bonded assets from results. |
Sort Options (sortBy)
Both camelCase (preferred) and snake_case (legacy) values are accepted:
| camelCase (preferred) | snake_case (legacy) | Description |
|---|---|---|
searchScore | search_score | Relevance score (default) |
trendingScore24h | trending_score_24h | 24h trending score |
volume24h | volume_24h | 24h trading volume |
marketCap | market_cap | Market capitalization |
createdAt | created_at | Token creation date |
volume1h | volume_1h | 1h trading volume |
volume5min | volume_5min | 5min trading volume |
feesPaid5min | fees_paid_5min | 5min fees paid |
feesPaid1h | fees_paid_1h | 1h fees paid |
feesPaid24h | fees_paid_24h | 24h fees paid |
holdersCount | holders_count | Number of holders |
organicVolume1h | organic_volume_1h | 1h organic volume |
totalFeesPaidUsd | total_fees_paid_usd | Total fees paid in USD |
Usage Examples
- Search by filters
blockchainsandfactory:
curl -X GET "https://demo-api.mobula.io/api/1/search?filters={"blockchains":"Mega Testnet","factory": "gte" }&input=itsagood"
- Search by filters
blockchainsandpoolTypesfor typetokens:
curl -X GET "https://demo-api.mobula.io/api/1/search?filters={"blockchains":"Ethereum,Solana","poolTypes": "gte-bonding-v1" }&input=itsagood&type=tokens"
- Search by filters
blockchains, andfactory, excludedBonded, typetokens
curl -X GET "https://demo-api.mobula.io/api/1/search?excludeBonded=true&filters={"blockchains":mega+testnet,"factory":"gte"}&input=M&types=tokens"
Query Parameters
Search query string
Type of results to return
Available options:
tokens, assets, pairs JSON string with filter options: blockchains, poolTypes, excludeBonded, bondedOnly
Sort field for search results
Available options:
volume24h, marketCap, createdAt, volume1h, feesPaid5min, feesPaid1h, feesPaid24h, volume5min, holdersCount, organicVolume1h, totalFeesPaidUsd, searchScore, trendingScore24h, liquidity Exclude bonded tokens from results
Maximum number of results (1-20, default: 5)
Response
200 - application/json
Search response
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
⌘I